Subject: bug#24435: 25.1; Problem using Hunspell

From: Noam Postavsky <[email-masked]>
Date: Wed, 14 Sep 2016 09:46:56 -0400

On Wed, Sep 14, 2016 at 9:24 AM, Dmitri Paduchikh <[email-masked]> wrote:
> Hello,
>
> Judging from ispell.el it should work with Hunspell, so I tried to use
> it. But attempts to check a word produce the following error message.
>
> | Starting new Ispell process hunspell with ru_RU dictionary...
> | hunspell release 3.1.12 or greater is required (ispell-check-version)
>
> The latest version of Hunspell is 1.4.1 as can be seen here:
> https://github.com/hunspell/hunspell/releases
>
> As I understand, the problem arises because ispell-check-version finds
> version information using regexp
>
> "(but really Hunspell \\([0-9]+\\.[0-9\\.-]+\\)?)"
>
> The output of hunspell -vv does not match it, hence the results.
>
> $ hunspell -vv < /dev/null
> Hunspell 1.4.0

I guess older Hunspell versions printed a different string. Does it
work if you change the regexp to

"\\(?:(but really \\)?Hunspell \\([0-9]+\\.[0-9\\.-]+\\)?)?"